using System;

namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
string[] s = Console.ReadLine().Split();
int q = int.Parse(Console.ReadLine());
int[]a=new int[n];
for(int i=0; i<n; i++)
{
    a[i] = int.Parse(s[i]);
}
for (int j = 0; j<q; j++)
{
    bool d = true;
    string[] st = Console.ReadLine().Split();
    for (int i = int.Parse(st[0])-1;i< int.Parse(st[1])-1 && d;i++)
    {   
            if (a[i] > a[i + 1])
            {
            bool p = true;
                int x = a[i + 1];
                if(i!= int.Parse(st[0]) - 1) x=a[i-1];
                for(int l=i;l< int.Parse(st[1]) - 1;l++)
                {
                    if (x > a[l + 1])
                    {
                    p = false;
                        break;
                    }
                x = a[l + 1];
                }
            if (p) break;
            x = a[i];
            for (int l = i+1; l < int.Parse(st[1]) - 1; l++)
            {
                if (x > a[l + 1])
                {
                    d = false;
                    break;
                }
                x = a[l + 1];
            }
            break;
            }
    }
    if (d) Console.WriteLine("DA");
    else Console.WriteLine("NE");
}
        }
    }
}